Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 515132 - net-misc/networkmanager with >=dev-libs/libnl-3.2.25_rc1 - segmentation fault in nm_netlink_monitor_attach ()
Summary: net-misc/networkmanager with >=dev-libs/libnl-3.2.25_rc1 - segmentation fault...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: PATCH
: 515858 534064 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-06-25 21:50 UTC by jms
Modified: 2015-01-16 08:44 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jms 2014-06-25 21:50:06 UTC
after update to libnl-3.2.25_rc1 and rebooting laptop no interface (exept lo) are present (did try with older kernel same problem)  doing ifconfig;networkmanger do not work.
had to downgrade to dev-libs/libnl-3.2.24-r1 to get network interface to show up again 
(did try with older kernel same problem) 
using multilib

Reproducible: Always




 emerge --info dev-libs/libnl
Portage 2.2.10 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.3, glibc-2.17, 3.15.1-gentoo-jms-r9 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.15.1-gentoo-jms-r9-x86_64-Intel-R-_Core-TM-_i5-3210M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem:     7674232 total,   5014328 free
KiB Swap:    8396796 total,   8396796 free
Timestamp of tree: Wed, 25 Jun 2014 20:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.3.3
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo pinkbyte gamerlay x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe "
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe "
DISTDIR="/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://open-systems.ufl.edu/mirrors/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/portage"
PORTDIR_OVERLAY="/var/lib/layman/pinkbyte /var/lib/layman/gamerlay /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 ao avahi avx bash-completion berkdb bindist bluetooth branding bzip2 cairo cdaudio cdda cddb cdparanoia cdr cjk cli consolekit cracklib crypt css cups cxx dbus declarative dhcpcd dri dts dv dvb dvd dvdnav dvdr emboss encode evdev exif ffmpeg firefox flac fontconfig fortran gd gdbm gif gpm gtk gzip iconv icu imap inotify ipv6 jpeg jpeg2k kde kipi laptop lcms ldap libav libkms libnotify lzma lzo mad maildir matroska memlimit mhash mikmod mime mmap mmx mng mod modules motif mp3 mp4 mpeg mtp multilib mysql ncurse ncurses nls nptl ogg openal opengl openmp oss pam pango pcmcia pcre pdf phonon plasma png policykit ppds pulseaudio qt3support qt4 quicktime raw readline resolvconf scanner sdl semantic-desktop sematic-deskyop session smp spell sse sse2 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification svg syslog taglib tcpd theora thumbnail tidy tiff truetype udev udisks unicode upower usb utf8 v4l v4l2 vaapi vcd vdpau video vim-syntax vorbis wifi win32codecs wxwidgets x x264 xcb xcomposit xcomposite xine xinerama xml xosd xpm xscreensaver xulrunner xv xvid xvmc zip zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_GB en es fr en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3 php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="intel nvidia modesetting" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-libs/libnl-3.2.24-r1 was built with the following:
USE="-python -static-libs -utils" ABI_X86="32 64 -x32" PYTHON_TARGETS="python2_7 python3_3 -python2_6 -python3_2 -python3_4"

eix libnl
[I] dev-libs/libnl
     Available versions:  
     (1.1)  1.1.4
     (3)    3.2.23 (~)3.2.24 (~)3.2.24-r1 [m](~)3.2.25_rc1 **3.2.9999
       {doc python static-libs utils ABI_MIPS="n32 n64 o32" ABI_X86="32 64 x32" PYTHON_TARGETS="python2_6 python2_7 python3_2 python3_3 python3_4"}
     Installed versions:  3.2.24-r1(3)(23:19:54 25/06/14)(-python -static-libs -utils ABI_MIPS="-n32 -n64 -o32" ABI_X86="32 64 -x32" PYTHON_TARGETS="python2_7 python3_3 -python2_6 -python3_2 -python3_4")
     Homepage:            http://www.infradead.org/~tgr/libnl/
     Description:         A collection of libraries providing APIs to netlink protocol based Linux kernel interfaces
Comment 1 Jeroen Roovers gentoo-dev 2014-06-25 22:36:30 UTC
1) Please post your `emerge -vpq net-misc/networkmanager' output in a comment.
2) Please explain what is happening. Maybe attach networkmanager's output that indicates where it fails.
Comment 2 Panard 2014-06-25 22:41:02 UTC
I confirm this bug: after libnl upgrade, NetworkManager fails to start and throws:
 traps: NetworkManager[2201] general protection ip:46836e sp:7fff701f8950 error:0 in NetworkManager[400000+fe000]

Recompiling NetworkManager didn't help, downgrading libnl fixes the issue.
Comment 3 jms 2014-06-25 23:10:35 UTC
(In reply to Jeroen Roovers from comment #1)
> 1) Please post your `emerge -vpq net-misc/networkmanager' output in a
> comment.
emerge -vpq net-misc/networkmanager
[ebuild   R   ] net-misc/networkmanager-0.9.8.10-r1  USE="avahi bluetooth consolekit dhcpcd introspection modemmanager nss ppp resolvconf wext wifi -connection-sharing -dhclient -gnutls -systemd {-test} -vala" 

> 2) Please explain what is happening. Maybe attach networkmanager's output
> that indicates where it fails.

in /var/logmessages
I have 
[    9.522146] traps: NetworkManager[3923] general protection ip:46c8be sp:7fff6db2bc00 error:0 in NetworkManager[400000+10a000]

and thereafter a bunch of 

Jun 25 23:00:54 ZePetitNuage dbus[3903]: [system] Activated service 'org.freedesktop.NetworkManager' failed: Launch helper exited with unknown return code 1
Jun 25 23:00:54 ZePetitNuage dbus[3903]: [system] Activating service name='org.freedesktop.NetworkManager' (using servicehelper)

forgot to say that i did try revdep-rebuild , @preserved-rebuild and rebuilding the following to no avail
[I] net-libs/glib-networking
     Available versions:  2.38.2 ~2.40.1 ~2.40.1-r1 {+gnome +libproxy smartcard +ssl test ABI_MIPS="n32 n64 o32" ABI_X86="32 64 x32"}
     Installed versions:  2.38.2(23:21:46 25/06/14)(libproxy ssl -gnome -smartcard -test)
     Homepage:            http://git.gnome.org/browse/glib-networking/
     Description:         Network-related giomodules for glib

[I] net-misc/networkmanager
     Available versions:  0.9.6.4 0.9.8.8 (~)0.9.8.10-r1 {avahi bluetooth connection-sharing (+)consolekit dhclient +dhcpcd doc gnutls +introspection (+)modemmanager +nss +ppp resolvconf systemd test vala +wext +wifi wimax KERNEL="linux"}
     Installed versions:  0.9.8.10-r1(23:22:59 25/06/14)(avahi bluetooth consolekit dhcpcd introspection modemmanager nss ppp resolvconf wext wifi -connection-sharing -dhclient -gnutls -systemd -test -vala KERNEL="linux")
     Homepage:            http://projects.gnome.org/NetworkManager/
     Description:         Universal network configuration daemon for laptops, desktops, servers and virtualization hosts
Comment 4 Jeroen Roovers gentoo-dev 2014-06-25 23:31:08 UTC
(In reply to jms from comment #3)
> forgot to say that i did try revdep-rebuild , @preserved-rebuild and
> rebuilding the following to no avail

Using revdep-rebuild is deprecated anyway, and @preserved-rebuild isn't going to help either in this case.

libnl changed and how networkmanager interacts with it will now need to be changed, too.
Comment 5 Jeroen Roovers gentoo-dev 2014-06-25 23:36:00 UTC
  25 Jun 2014; Jeroen Roovers <jer@gentoo.org> libnl-3.2.25_rc1.ebuild:
  Remove keywording until reverse dependencies have been updated (bug #515132).
Comment 6 Pacho Ramos gentoo-dev 2014-06-26 09:32:42 UTC
I would report this to upstream -> bugzilla.gnome.org
Comment 7 Kent Fredric (IRC: kent\n) gentoo-dev 2014-06-30 14:59:34 UTC
*** Bug 515858 has been marked as a duplicate of this bug. ***
Comment 8 Jeroen Roovers gentoo-dev 2014-07-16 12:29:47 UTC
I have just committed =dev-libs/libnl-3.2.25 with keywording restored. Please test and report back.
Comment 9 jms 2014-07-16 14:33:20 UTC
emerged it.restarted computer(not needed but..)
no problem with networkmanager so far, seems ok to me
Comment 10 Alexandre 2014-07-16 19:27:05 UTC
Still failing for me.


Portage 2.2.10 (default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.8.3, glibc-2.19-r1, 3.15.5-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.15.5-gentoo-x86_64-Intel-R-_Pentium-R-_Dual_CPU_T3400_@_2.16GHz-with-gentoo-2.2
KiB Mem:     2820152 total,    710996 free
KiB Swap:    1048572 total,   1048572 free
Timestamp of tree: Wed, 16 Jul 2014 16:15:01 +0000
ld GNU ld (GNU Binutils) 2.24
app-shells/bash:          4.2_p47
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.7, 3.4.1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.15 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo privacychain
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -fomit-frame-pointer -g0"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe -fomit-frame-pointer -g0"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=" ftp://gentoo.c3sl.ufpr.br/gentoo/ http://gentoo.c3sl.ufpr.br/ ftp://ftp.las.ic.unicamp.br/pub/gentoo/ http://www.las.ic.unicamp.br/pub/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ "
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage/"
USE="X a52 aac acl acpi alsa amd64 berkdb branding bzip2 cairo caps cdda cdr cli cracklib crypt css cups custom-cflags custom-optimization cxx dbus declarative dga dri dts dvd dvdr emboss encode exif fam ffmpeg firefox flac fontconfig gdbm gif gnutls gpm gtk gtkstyle iconv jit jpeg kde kipi lame lcms libnotify libsamplerate lzma lzo mad minimal mmx mng modules mp3 mp4 mpeg multilib ncurses networkmanager nls nptl nvidia offensive ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds qt3support qt4 readline samba sdl semantic-desktop session spell sse sse2 sse3 ssl ssse3 startup-notification svg syslog systemd tcpd theora threads tiff truetype udev udisks unicode upower usb vdpau vim-syntax vorbis vpx wavpack x264 xattr xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel loopback" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-libs/libnl-3.2.25 was built with the following:
USE="-python -static-libs -utils" ABI_X86="64 -32 -x32" PYTHON_TARGETS="python2_7 python3_4 -python3_2 -python3_3"
Comment 11 Rick Farina (Zero_Chaos) gentoo-dev 2014-07-16 19:55:08 UTC
Works here

[ebuild   R    ] net-misc/networkmanager-0.9.8.8  USE="bluetooth connection-sharing consolekit dhcpcd introspection modemmanager nss ppp wext wifi -avahi -dhclient -gnutls -resolvconf -systemd {-test} -vala" 0 kB


Maybe Alexandre is having a different issue?
Comment 12 Jeroen Roovers gentoo-dev 2014-07-16 22:27:05 UTC
(In reply to Alexandre from comment #10)
> Still failing for me.

Thanks. Keywording removed again.
Comment 13 Rick Farina (Zero_Chaos) gentoo-dev 2014-07-17 02:48:04 UTC
(In reply to Jeroen Roovers from comment #12)
> (In reply to Alexandre from comment #10)
> > Still failing for me.
> 
> Thanks. Keywording removed again.

jms and I both have this working fine.  I believe we need more information from Alexandre to troubleshoot his issue, however, with 2/3 reporting success I think it's safe to leave the keywords.
Comment 14 Alexandre 2014-07-17 04:06:32 UTC
I'm on systemd. Should be a systemd only issue, maybe?


* journalctl -x

<warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted


* systemctl status NetworkManager.service

NetworkManager.service - Network Manager
   Loaded: loaded (/usr/lib64/systemd/system/NetworkManager.service; enabled)
   Active: failed (Result: signal) since Thu 2014-07-17 00:47:16 BRT; 10s ago
  Process: 22817 ExecStart=/usr/sbin/NetworkManager --no-daemon (code=killed, signal=SEGV)
 Main PID: 22817 (code=killed, signal=SEGV)

Jul 17 00:47:16 localhost systemd[1]: NetworkManager.service: main process exited, code=killed, status=11/SEGV
Jul 17 00:47:16 localhost systemd[1]: Failed to start Network Manager.
Jul 17 00:47:16 localhost systemd[1]: Unit NetworkManager.service entered failed state.


* Trying to run /usr/sbin/NetworkManager --no-daemon

No config file found or given; using /etc/NetworkManager/NetworkManager.conf
NetworkManager[22743]: <info> NetworkManager (version 0.9.8.10) is starting...
NetworkManager[22743]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
NetworkManager[22743]: <info> WEXT support is enabled
Comment 15 Michael Cook 2014-07-17 05:52:54 UTC
3.2.25 still failing here.
Comment 16 Kobboi 2014-07-17 06:30:07 UTC
And here as well. I just confirm "a segfault", haven't really looked into the details and simply downgraded.
Comment 17 Dan Goodliffe 2014-07-17 07:52:55 UTC
I'm getting pretty much the same problem, similar configurations.
This bit me a while ago and I thought I masked something, but an update last got me new libnl again and it bit again this morning out of the blue (that's my fault)
IIRC from the first time, I ran it through valgrind and there was a buffer overflow around nl_recvmsgs.
I'll give it a try tonight after work and see if I can recreate it. I can well imagine it biting in some cases and not others according to arch, flags, compiler etc, might explain why it's working for some.
Comment 18 Jeroen Roovers gentoo-dev 2014-07-17 12:20:46 UTC
(In reply to Rick Farina (Zero_Chaos) from comment #13)
> jms and I both have this working fine.  I believe we need more information
> from Alexandre to troubleshoot his issue, however, with 2/3 reporting
> success I think it's safe to leave the keywords.

The majority doesn't rule.
Comment 19 Andrei Slavoiu 2014-07-17 18:27:33 UTC
It crashes here as well.

Portage 2.2.10 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.3, glibc-2.19-r1, 3.15.3-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.15.3-gentoo-x86_64-AMD_A10-7850K_APU_with_Radeon-TM-_R7_Graphics-with-gentoo-2.2
KiB Mem:    30756556 total,  25944572 free
KiB Swap:   66803708 total,  66803708 free
Timestamp of tree: Wed, 16 Jul 2014 21:15:01 +0000
ld GNU ld (GNU Binutils) 2.24
app-shells/bash:          4.2_p47
dev-lang/python:          2.7.7, 3.3.5, 3.4.1
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.15 (virtual/os-headers)
sys-libs/glibc:           2.19-r1
Repositories: gentoo gamerlay x-portage
Installed sets: @games
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -ggdb -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -ggdb -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg candy cgroup clean-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news nostrip parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.romnet.org/gentoo/ http://distfiles.gentoo.org"
LANG="ro_RO.utf8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7 -l8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gamerlay /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aacplus aalib accessibility acl acpi alsa amd64 amr analitza autoipd avahi avx berkdb branding bzip2 cairo caps cdda cdr clang cli client cmake consolekit cracklib crypt curl cxx dbus declarative doc dos dot dri dts dvd dvdr egl emboss encode exif fam fbcondecor ffmpeg firefox flac fma fma3 fma4 fortran gbm gcrypt gd gdbm gif gles1 gles2 gmp gnutls gold gpg gpm http iconv icu idn ipv6 jadetex jpeg jpeg2k kde kdenlive kdepim kipi lcms libcaca libnotify llvm-shared-libs lm_sensors lzma mad mdnsresponder-compat melt metalink midi mikmod mmx mmxext mng mod modules mp3 mp4 mpeg mtp multilib multimedia ncurses nettle network networkmanager nls nptl ntp offensive ogg openal opencl opengl openmax openmp openssl openvg opus pam pango pch pcntl pcre pdf phonon plasma png policykit ppds qt3support qt4 r600-llvm-compiler rar readline rtmp samba schroedinger sdk sdl semantic-desktop session sndfile sound speex spell spice sqlite sse sse2 sse3 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification svg symlink systemtap tcpd textures theora threads tiff timidity truetype udev udisks unicode upower usb valgrind vdpau videos voice vorbis vpx webkit webp x264 xattr xcb xcomposite xinerama xml xrandr xv xvfb xvid zeroconf zip zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ro en eo" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm armeb i386 x86_64" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="radeon radeonsi modesetting" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-libs/libnl-3.2.25 was built with the following:
USE="-python -static-libs -utils" ABI_X86="32 64 -x32" PYTHON_TARGETS="python2_7 python3_4 -python3_2 -python3_3"


net-misc/networkmanager-0.9.8.10-r1 was built with the following:
USE="avahi consolekit dhcpcd gnutls wext wifi -bluetooth -connection-sharing -dhclient -introspection -modemmanager -nss -ppp -resolvconf -systemd -test -vala"
Comment 20 jms 2014-07-17 18:40:38 UTC
still seems ok here
this is what I got:
emerge --info networkmanager libnl
Portage 2.2.10 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.3, glibc-2.17, 3.15.1-gentoo-jms-r9 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.15.1-gentoo-jms-r9-x86_64-Intel-R-_Core-TM-_i5-3210M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem:     7674232 total,    363488 free
KiB Swap:    8396796 total,   8141772 free
Timestamp of tree: Thu, 17 Jul 2014 14:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.3.3
dev-util/cmake:           2.8.12.2-r1
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo pinkbyte gamerlay x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe "
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe "
DISTDIR="/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://open-systems.ufl.edu/mirrors/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/portage"
PORTDIR_OVERLAY="/var/lib/layman/pinkbyte /var/lib/layman/gamerlay /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 ao avahi avx bash-completion berkdb bindist bluetooth branding bzip2 cairo cdaudio cdda cddb cdparanoia cdr cjk cli consolekit cracklib crypt css cups cxx dbus declarative dhcpcd dri dts dv dvb dvd dvdnav dvdr emboss encode evdev exif ffmpeg firefox flac fontconfig fortran gd gdbm gif gpm gtk gzip iconv icu imap inotify ipv6 jpeg jpeg2k kde kipi laptop lcms ldap libav libkms libnotify lzma lzo mad maildir matroska memlimit mhash mikmod mime mmap mmx mng mod modules motif mp3 mp4 mpeg mtp multilib mysql ncurse ncurses nls nptl ogg openal opengl openmp oss pam pango pcmcia pcre pdf phonon plasma png policykit ppds pulseaudio qt3support qt4 quicktime raw readline resolvconf scanner sdl semantic-desktop sematic-deskyop session smp spell sse sse2 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification svg syslog taglib tcpd theora thumbnail tidy tiff truetype udev udisks unicode upower usb utf8 v4l v4l2 vaapi vcd vdpau video vim-syntax vorbis wifi win32codecs wxwidgets x x264 xcb xcomposit xcomposite xine xinerama xml xosd xpm xscreensaver xulrunner xv xvid xvmc zip zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_GB en es fr en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3 php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="intel nvidia modesetting" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

net-misc/networkmanager-0.9.8.10-r1 was built with the following:
USE="avahi bluetooth consolekit dhcpcd introspection modemmanager nss ppp resolvconf wext wifi -connection-sharing -dhclient -gnutls -systemd -test -vala" ABI_X86="64"


dev-libs/libnl-3.2.24-r1 was built with the following:
USE="-python -static-libs -utils" ABI_X86="32 64 -x32" PYTHON_TARGETS="python2_7 python3_3 -python2_6 -python3_2 -python3_4"
Comment 21 Andrei Slavoiu 2014-07-17 18:52:05 UTC
@jms you're using dev-libs/libnl-3.2.24-r1, of course you have no issue.
Comment 22 Dan Goodliffe 2014-07-17 19:09:49 UTC
From valgrind as promised.

akira ~ # valgrind NetworkManager --no-daemon
==13324== Memcheck, a memory error detector
==13324== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==13324== Using Valgrind-3.9.0 and LibVEX; rerun with -h for copyright info
==13324== Command: NetworkManager --no-daemon
==13324== 
==13324== Conditional jump or move depends on uninitialised value(s)
==13324==    at 0x39D36179E4: index (in /lib64/ld-2.19.so)
==13324==    by 0x39D360745D: expand_dynamic_string_token (in /lib64/ld-2.19.so)
==13324==    by 0x39D360804F: _dl_map_object (in /lib64/ld-2.19.so)
==13324==    by 0x39D360138D: map_doit (in /lib64/ld-2.19.so)
==13324==    by 0x39D360E9A3: _dl_catch_error (in /lib64/ld-2.19.so)
==13324==    by 0x39D3600B30: do_preload (in /lib64/ld-2.19.so)
==13324==    by 0x39D3604122: dl_main (in /lib64/ld-2.19.so)
==13324==    by 0x39D361529B: _dl_sysdep_start (in /lib64/ld-2.19.so)
==13324==    by 0x39D3604A4C: _dl_start (in /lib64/ld-2.19.so)
==13324==    by 0x39D36011A7: ??? (in /lib64/ld-2.19.so)
==13324==    by 0x1: ???
==13324==    by 0xFFF0001DE: ???
==13324== 
NetworkManager[13324]: <info> NetworkManager (version 0.9.8.10) is starting...
NetworkManager[13324]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
NetworkManager[13324]: <info> WEXT support is disabled
==13324== Invalid read of size 4
==13324==    at 0x532F269: ??? (in /usr/lib64/libnl-3.so.200.20.0)
==13324==    by 0x48CB90: ??? (in /usr/sbin/NetworkManager)
==13324==    by 0x532DD8E: nl_recvmsgs_report (in /usr/lib64/libnl-3.so.200.20.0)
==13324==    by 0x532E368: nl_recvmsgs (in /usr/lib64/libnl-3.so.200.20.0)
==13324==    by 0x53278F2: nl_cache_pickup (in /usr/lib64/libnl-3.so.200.20.0)
==13324==    by 0x5327B8F: nl_cache_refill (in /usr/lib64/libnl-3.so.200.20.0)
==13324==    by 0x4ECE4DA: rtnl_link_alloc_cache (in /usr/lib64/libnl-route-3.so.200.20.0)
==13324==    by 0x48E180: nm_netlink_monitor_open_connection (in /usr/sbin/NetworkManager)
==13324==    by 0x48F2DF: nm_netlink_monitor_get (in /usr/sbin/NetworkManager)
==13324==    by 0x425D71: main (in /usr/sbin/NetworkManager)
==13324==  Address 0x587c048 is 8 bytes after a block of size 112 alloc'd
==13324==    at 0x4A06E40: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==13324==    by 0x3CD605AEF0: g_malloc (in /usr/lib64/libglib-2.0.so.0.4000.0)
==13324==    by 0x3CD607717D: g_slice_alloc (in /usr/lib64/libglib-2.0.so.0.4000.0)
==13324==    by 0x3CD60776BD: g_slice_alloc0 (in /usr/lib64/libglib-2.0.so.0.4000.0)
==13324==    by 0x3CD6C3410E: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==13324==    by 0x3CD6C177CD: g_object_newv (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==13324==    by 0x3CD6C1859B: g_object_new (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==13324==    by 0x48F2C2: nm_netlink_monitor_get (in /usr/sbin/NetworkManager)
==13324==    by 0x425D71: main (in /usr/sbin/NetworkManager)
==13324== 
==13324== Invalid read of size 8
==13324==    at 0x48D920: nm_netlink_monitor_attach (in /usr/sbin/NetworkManager)
==13324==    by 0x48F35B: nm_netlink_monitor_get (in /usr/sbin/NetworkManager)
==13324==    by 0x425D71: main (in /usr/sbin/NetworkManager)
==13324==  Address 0xb380340c0587b2d0 is not stack'd, malloc'd or (recently) free'd
==13324== 
==13324== 
==13324== Process terminating with default action of signal 11 (SIGSEGV)
==13324==  General Protection Fault
==13324==    at 0x48D920: nm_netlink_monitor_attach (in /usr/sbin/NetworkManager)
==13324==    by 0x48F35B: nm_netlink_monitor_get (in /usr/sbin/NetworkManager)
==13324==    by 0x425D71: main (in /usr/sbin/NetworkManager)
==13324== 
==13324== HEAP SUMMARY:
==13324==     in use at exit: 179,537 bytes in 1,386 blocks
==13324==   total heap usage: 2,429 allocs, 1,043 frees, 326,721 bytes allocated
==13324== 
==13324== LEAK SUMMARY:
==13324==    definitely lost: 148 bytes in 3 blocks
==13324==    indirectly lost: 40 bytes in 1 blocks
==13324==      possibly lost: 5,800 bytes in 109 blocks
==13324==    still reachable: 173,437 bytes in 1,272 blocks
==13324==         suppressed: 0 bytes in 0 blocks
==13324== Rerun with --leak-check=full to see details of leaked memory
==13324== 
==13324== For counts of detected and suppressed errors, rerun with: -v
==13324== Use --track-origins=yes to see where uninitialised values come from
==13324== ERROR SUMMARY: 4 errors from 3 contexts (suppressed: 0 from 0)
Killed
Comment 23 Dan Goodliffe 2014-07-17 19:14:13 UTC
Better with debug... (also different)

NetworkManager[23161]: <info> NetworkManager (version 0.9.8.10) is starting...
NetworkManager[23161]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
NetworkManager[23161]: <info> WEXT support is disabled
==23161== Invalid read of size 4
==23161==    at 0x5340846: _nl_socket_generate_local_port_no_release (socket.c:346)
==23161==    by 0x5340886: nl_socket_get_local_port (socket.c:369)
==23161==    by 0x48CB90: ??? (in /usr/sbin/NetworkManager)
==23161==    by 0x533DA9E: nl_cb_call (netlink.h:141)
==23161==    by 0x533EB1C: recvmsgs (nl.c:823)
==23161==    by 0x533F1C0: nl_recvmsgs_report (nl.c:1003)
==23161==    by 0x533F1E5: nl_recvmsgs (nl.c:1027)
==23161==    by 0x5338206: __cache_pickup (cache.c:701)
==23161==    by 0x5338379: nl_cache_pickup (cache.c:753)
==23161==    by 0x5338BA7: nl_cache_refill (cache.c:983)
==23161==    by 0x4ED05C8: rtnl_link_alloc_cache (link.c:1029)
==23161==    by 0x48E180: nm_netlink_monitor_open_connection (in /usr/sbin/NetworkManager)
==23161==  Address 0x588e048 is 8 bytes after a block of size 112 alloc'd
==23161==    at 0x4A06E40: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==23161==    by 0x3CD605AEF0: g_malloc (in /usr/lib64/libglib-2.0.so.0.4000.0)
==23161==    by 0x3CD607717D: g_slice_alloc (in /usr/lib64/libglib-2.0.so.0.4000.0)
==23161==    by 0x3CD60776BD: g_slice_alloc0 (in /usr/lib64/libglib-2.0.so.0.4000.0)
==23161==    by 0x3CD6C3410E: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==23161==    by 0x3CD6C177CD: g_object_newv (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==23161==    by 0x3CD6C1859B: g_object_new (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==23161==    by 0x48F2C2: nm_netlink_monitor_get (in /usr/sbin/NetworkManager)
==23161==    by 0x425D71: main (in /usr/sbin/NetworkManager)
==23161== 
==23161== Invalid write of size 4
==23161==    at 0x5340852: _nl_socket_generate_local_port_no_release (socket.c:346)
==23161==    by 0x5340886: nl_socket_get_local_port (socket.c:369)
==23161==    by 0x48CB90: ??? (in /usr/sbin/NetworkManager)
==23161==    by 0x533DA9E: nl_cb_call (netlink.h:141)
==23161==    by 0x533EB1C: recvmsgs (nl.c:823)
==23161==    by 0x533F1C0: nl_recvmsgs_report (nl.c:1003)
==23161==    by 0x533F1E5: nl_recvmsgs (nl.c:1027)
==23161==    by 0x5338206: __cache_pickup (cache.c:701)
==23161==    by 0x5338379: nl_cache_pickup (cache.c:753)
==23161==    by 0x5338BA7: nl_cache_refill (cache.c:983)
==23161==    by 0x4ED05C8: rtnl_link_alloc_cache (link.c:1029)
==23161==    by 0x48E180: nm_netlink_monitor_open_connection (in /usr/sbin/NetworkManager)
==23161==  Address 0x588e048 is 8 bytes after a block of size 112 alloc'd
==23161==    at 0x4A06E40: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==23161==    by 0x3CD605AEF0: g_malloc (in /usr/lib64/libglib-2.0.so.0.4000.0)
==23161==    by 0x3CD607717D: g_slice_alloc (in /usr/lib64/libglib-2.0.so.0.4000.0)
==23161==    by 0x3CD60776BD: g_slice_alloc0 (in /usr/lib64/libglib-2.0.so.0.4000.0)
==23161==    by 0x3CD6C3410E: g_type_create_instance (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==23161==    by 0x3CD6C177CD: g_object_newv (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==23161==    by 0x3CD6C1859B: g_object_new (in /usr/lib64/libgobject-2.0.so.0.4000.0)
==23161==    by 0x48F2C2: nm_netlink_monitor_get (in /usr/sbin/NetworkManager)
==23161==    by 0x425D71: main (in /usr/sbin/NetworkManager)
==23161== 
==23161== Invalid read of size 8
==23161==    at 0x48D920: nm_netlink_monitor_attach (in /usr/sbin/NetworkManager)
==23161==    by 0x48F35B: nm_netlink_monitor_get (in /usr/sbin/NetworkManager)
==23161==    by 0x425D71: main (in /usr/sbin/NetworkManager)
==23161==  Address 0xfb005a790588d2d0 is not stack'd, malloc'd or (recently) free'd
==23161== 
==23161== 
==23161== Process terminating with default action of signal 11 (SIGSEGV)
Comment 24 Jeroen Roovers gentoo-dev 2014-07-17 19:57:45 UTC
(In reply to Dan Goodliffe from comment #23)
> Better with debug... (also different)

gdb is the tool to debug segmentation faults
Comment 25 Jeroen Roovers gentoo-dev 2014-07-17 19:58:34 UTC
(In reply to Dan Goodliffe from comment #22)
> From valgrind as promised.

Please attach lengthy output like that in files.
Comment 27 Dan Goodliffe 2014-07-20 12:24:01 UTC
I've applied those two commits to 0.9.8.10-r1 with dev-libs/libnl-3.2.25 and everything appears to be working normally again.
Comment 28 Andrés Becerra Sandoval 2014-07-21 21:45:20 UTC
(In reply to Dan Goodliffe from comment #27)
> I've applied those two commits to 0.9.8.10-r1 with dev-libs/libnl-3.2.25 and
> everything appears to be working normally again.

Dan,

How do you get those commits in patch format?

Thanks,

 Andrés.
Comment 29 Dan Goodliffe 2014-07-21 21:48:25 UTC
curl "http://cgit.freedesktop.org/NetworkManager/NetworkManager/patch/?id=65981edb9f562c07e78815c98093da67c50bfdcf" | patch -p1

patch is clever :) Repeat for the other patch.
Comment 30 Jeroen Roovers gentoo-dev 2014-07-21 22:54:15 UTC
(In reply to Andrés Becerra Sandoval from comment #28)
> How do you get those commits in patch format?

They're already unified diffs in plain text.
Comment 31 Andrés Becerra Sandoval 2014-07-21 23:28:35 UTC
Thank you Dan and Jeroen,

The patches and libnl-3.2.25 solve the problem for me too!
Comment 32 Pacho Ramos gentoo-dev 2014-09-22 19:22:44 UTC
+*networkmanager-0.9.10.0 (22 Sep 2014)
+
+  22 Sep 2014; Pacho Ramos <pacho@gentoo.org> +networkmanager-0.9.10.0.ebuild,
+  -networkmanager-0.9.8.8.ebuild, metadata.xml:
+  Version bump, default to dhclient instead of dhcpcd (#493732), set proper pppd
+  plugindir (#519986 by Clemente Aguiar, Sergey Popov, Agostino Sarubbo and
+  others), remove wimax support (#522822 by Dion Moult), drop old.
+

This incorporates the patches for newer libnl
Comment 33 Pacho Ramos gentoo-dev 2014-12-31 21:13:39 UTC
*** Bug 534064 has been marked as a duplicate of this bug. ***
Comment 34 Marat Nepomnyashy 2015-01-01 05:47:57 UTC
Would be nice if it was possible to prohibit concurrent installation of networkmanager <= 0.9.8.10-r1 and libnl >= 3.2.25
Comment 35 Dennis Schridde 2015-01-16 08:33:56 UTC
>=net-misc/networkmanager-0.9.10.1_pre20141101 is broken for me, so I tried 0.9.8.10-r1 and am now hitting this bug again. Thus I kindly ask you to reopen until the dependencies are fixed.
Comment 36 Dennis Schridde 2015-01-16 08:44:20 UTC
(In reply to Dennis Schridde from comment #35)
> >=net-misc/networkmanager-0.9.10.1_pre20141101 is broken for me, so I tried 0.9.8.10-r1 and am now hitting this bug again. Thus I kindly ask you to reopen until the dependencies are fixed.

dev-libs/libnl-3.2.23::gentoo works